glutDestroyWindow
Prev | GLUT | Next

## Name

glutDestroyWindow — destroys the specified window.

## C Specification

`void `glutDestroyWindow`` | `(` | `int `win`);`

## Python Specification

``glutDestroyWindow`` | `(` | ``win`) → `None``

## Parameters

`win`
  Identifier of GLUT window to destroy.

## Description

`glutDestroyWindow` destroys the window specified by win and the window's associated OpenGL context, logical colormap (if the window is color index), and overlay and related state (if an overlay has been established). Any subwindows of destroyed windows are also destroyed by `glutDestroyWindow`. If win was the current window, the current window becomes invalid (`glutGetWindow` will return zero).

## See Also

glutCreateWindow, glutCreateSubWindow, glutDestroyMenu

Prev | Up | Next
glutDestroyMenu | Home | glutDeviceGet